libwps: libwps::StorageIO Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# libwps::StorageIO Class Reference

List of all members.

## Public Member Functions
| StorageIO (Storage *storage, const std::stringstream &memorystream)
| ~StorageIO ()
bool | isOLEStream ()
void | load ()
unsigned long | loadBigBlocks (std::vector< unsigned long > blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadBigBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlocks (std::vector< unsigned long > blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
StreamIO * | streamIO (const std::string &name)
## Public Attributes
Storage * | storage
std::stringstream | buf
int | result
unsigned long | bufsize
Header * | header
DirTree * | dirtree
AllocTable * | bbat
AllocTable * | sbat
std::vector< unsigned long > | sb_blocks
std::list< Stream * > | streams
## Private Member Functions
| StorageIO (const StorageIO &)
StorageIO & | operator= (const StorageIO &)

## Constructor & Destructor Documentation

libwps::StorageIO::StorageIO | ( | Storage * | storage,
|  | const std::stringstream & | memorystream |
| ) |  |  |

libwps::StorageIO::~StorageIO | ( |  | ) |

libwps::StorageIO::StorageIO | ( | const StorageIO & |  | ) | `[private]`

## Member Function Documentation

bool libwps::StorageIO::isOLEStream | ( |  | ) |

void libwps::StorageIO::load | ( |  | ) |

unsigned long libwps::StorageIO::loadBigBlocks | ( | std::vector< unsigned long > | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

unsigned long libwps::StorageIO::loadBigBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

unsigned long libwps::StorageIO::loadSmallBlocks | ( | std::vector< unsigned long > | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

unsigned long libwps::StorageIO::loadSmallBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen |
| ) |  |  |

libwps::StreamIO * libwps::StorageIO::streamIO | ( | const std::string & | name | ) |

StorageIO& libwps::StorageIO::operator= | ( | const StorageIO & |  | ) | `[private]`

## Member Data Documentation

Storage* libwps::StorageIO::storage

std::stringstream libwps::StorageIO::buf

int libwps::StorageIO::result

unsigned long libwps::StorageIO::bufsize

Header* libwps::StorageIO::header

DirTree* libwps::StorageIO::dirtree

AllocTable* libwps::StorageIO::bbat

AllocTable* libwps::StorageIO::sbat

std::vector<unsigned long> libwps::StorageIO::sb_blocks

std::list<Stream*> libwps::StorageIO::streams

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp